## org.omg.CORBA
Class ULongLongSeqHelper

    java.lang.Object
      |
      +--org.omg.CORBA.ULongLongSeqHelper

public class ULongLongSeqHelper
extends java.lang.Object

Helper class for : ULongLongSeq

Author:
  OpenORB Compiler

Constructor Summary
`ULongLongSeqHelper()`

Method Summary
`static long[]` `extract(Any a)` Extract ULongLongSeq from an any
`static java.lang.String` `id()` Return the ULongLongSeq IDL ID
`static void` `insert(Any a, long[] t)` Insert ULongLongSeq into an any
`static long[]` `read(InputStream istream)` Read ULongLongSeq from a marshalled stream
`static TypeCode` `type()` Return the ULongLongSeq TypeCode
`static void` `write(OutputStream ostream, long[] value)` Write ULongLongSeq into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ULongLongSeqHelper

    public ULongLongSeqHelper()

Method Detail

### insert

    public static void insert(Any a,
                              long[] t)

  Insert ULongLongSeq into an any
  Parameters:
    `a` - an any
    `t` - ULongLongSeq value

### extract

    public static long[] extract(Any a)

  Extract ULongLongSeq from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ULongLongSeq value

### type

    public static TypeCode type()

  Return the ULongLongSeq TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ULongLongSeq IDL ID
  Returns:
    an ID

### read

    public static long[] read(InputStream istream)

  Read ULongLongSeq from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ULongLongSeq value

### write

    public static void write(OutputStream ostream,
                             long[] value)

  Write ULongLongSeq into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ULongLongSeq value